{% extends "layout.html" %}
{% block content %}
<div class="modal modal-signin position-static d-block bg-secondary py-5" tabindex="-1" role="dialog" id="modalSignin">
      <div class="modal-dialog" role="document">
        <div class="modal-content rounded-5 shadow">
          <div class="modal-header p-5 pb-4 border-bottom-0">
            <h2 class="fw-bold mb-0">Namespace aanvragen</h2>
          </div>

          <div class="modal-body p-5 pt-0">
            {% if error %}
            <div class="alert alert-danger" role="alert">
                {{error}}
            </div>
            {% endif %}
            <p class="text">Om mee te doen met de workshop moet je een eigen namespace aanvragen.</p><p> Voer hieronder enkel je <strong> voornaam</strong> in.</p>
            <form method="POST" action="/gun-namespace">
              <div class="form-floating mb-3">
                <input type="text" name="name" class="form-control rounded-4" id="floatingInput" placeholder="Voer je voornaam in" required="required">
                <label for="floatingInput">Voer je voornaam in</label>
              </div>

              <button class="w-100 mb-2 btn btn-lg rounded-4 btn-primary" type="submit">Gun namespace</button>
              <small class="text-muted">Door op Gun namespace te klikken ga je akkoord met de voorwaarden en zo. Namespaces worden na de workshop verwijderd.</small>

            </form>
          </div>
        </div>
      </div>
    </div>
{% endblock %}